//------------------------------------------------------------------------------------
// irr::scene::IParticleGravityAffector wrappers
//------------------------------------------------------------------------------------

extern "C" 
{

	void IrrScene_IParticleGravityAffector_setTimeForceLost( IParticleGravityAffector* pa,f32 timeForceLost )
	{
		if (pa) {
			pa->setTimeForceLost(timeForceLost);
		}
	}

	void IrrScene_IParticleGravityAffector_setGravity( IParticleGravityAffector* pa, vector3df* gravity )
	{
		if (pa) {
			pa->setGravity(*gravity);
		}
	}

	f32 IrrScene_IParticleGravityAffector_getTimeForceLost(IParticleGravityAffector* pa)
	{
		if (pa) {
			return pa->getTimeForceLost();
		} else return 0.0;
	}

	// must delete
	vector3df* IrrScene_IParticleGravityAffector_getGravity(IParticleGravityAffector* pa)
	{
		if (pa) {
			return new vector3df(pa->getGravity());
		} else return 0;
	}

}

